# Blogger API . pages

## Instance Methods

Gets one blog page by id.

Retrieves pages for a blog, possibly filtered.

### Method Details

`get(blogId, pageId)`

    Gets one blog page by id.

    Args:
      blogId: string, ID of the blog containing the page. (required)
      pageId: string, The ID of the page to get. (required)

    Returns:
      An object of the form:

        {
        "content": "A String", # The body content of this Page, in HTML.
        "kind": "blogger#page", # The kind of this entity. Always blogger#page
        "author": { # The author of this Page.
          "url": "A String", # The URL of the Page creator's Profile page.
          "image": { # The page author's avatar.
            "url": "A String", # The page author's avatar URL.
          },
          "displayName": "A String", # The display name.
          "id": "A String", # The identifier of the Page creator.
        },
        "url": "A String", # The URL that this Page is displayed at.
        "title": "A String", # The title of this entity. This is the name displayed in the Admin user interface.
        "updated": "A String", # RFC 3339 date-time when this Page was last updated.
        "blog": { # Data about the blog containing this Page.
          "id": "A String", # The identifier of the blog containing this page.
        },
        "published": "A String", # RFC 3339 date-time when this Page was published.
        "id": "A String", # The identifier for this resource.
        "selfLink": "A String", # The API REST URL to fetch this resource from.
      }

`list(blogId, fetchBodies=None)`

    Retrieves pages for a blog, possibly filtered.

    Args:
      blogId: string, ID of the blog to fetch pages from. (required)
      fetchBodies: boolean, Whether to retrieve the Page bodies.

    Returns:
      An object of the form:

        {
        "items": [ # The list of Pages for a Blog.
          {
            "content": "A String", # The body content of this Page, in HTML.
            "kind": "blogger#page", # The kind of this entity. Always blogger#page
            "author": { # The author of this Page.
              "url": "A String", # The URL of the Page creator's Profile page.
              "image": { # The page author's avatar.
                "url": "A String", # The page author's avatar URL.
              },
              "displayName": "A String", # The display name.
              "id": "A String", # The identifier of the Page creator.
            },
            "url": "A String", # The URL that this Page is displayed at.
            "title": "A String", # The title of this entity. This is the name displayed in the Admin user interface.
            "updated": "A String", # RFC 3339 date-time when this Page was last updated.
            "blog": { # Data about the blog containing this Page.
              "id": "A String", # The identifier of the blog containing this page.
            },
            "published": "A String", # RFC 3339 date-time when this Page was published.
            "id": "A String", # The identifier for this resource.
            "selfLink": "A String", # The API REST URL to fetch this resource from.
          },
        ],
        "kind": "blogger#pageList", # The kind of this entity. Always blogger#pageList
      }